package com.tofly.watermeter.custom.mapper.meterBusiness;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.ReturnTableDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface ReturnTableMapper {

    List<Map> countReturnTable(@Param("dto") ReturnTableDto dto);

    List<Map> countByVendor(@Param("dto") ReturnTableDto dto);

    Page<Map> queryInfoReturnTable(@Param("page") Page page, @Param("dto") ReturnTableDto dto);

    List<Map> queryInfoReturnTable(@Param("dto") ReturnTableDto dto);

}
